## org.eclipse.datatools.sqltools.schemaobjecteditor.model
Interface ISchemaObjectImmutableModel

All Known Implementing Classes:
  AbstractSchemaObjectImmutableModel, ASATableSchemaImmutableModel, ASAUserDefinedTypeObjectImmutableModel, ProceduralObjectImmutableModel

    public interface ISchemaObjectImmutableModel

The immutable model is used to keep the original status of the schema object which is being edited.
Since the model may consist of more than one object, the consumer can divide their model into main object and additional objects.
After the `refreshFromDB()` is called, the main object and additional objects should all be refreshed.

Author:
  Idull

Method Summary
`java.util.Map` `getAdditionalSQLObjects()` Returns the additional SQL objects, for example, the privileges of the table
`SQLObject` `getMainSQLObject()` Returns the main SQL object referenced by this model, for example, the table
`boolean` `isModelExist()` Check immutable model existence
`void` `refreshFromDB(java.lang.String newName)` Refreshes the referenced SQL objects to make them synchronized with DB

Method Detail

### getMainSQLObject

    SQLObject getMainSQLObject()

  Returns the main SQL object referenced by this model, for example, the table

  Returns:

### getAdditionalSQLObjects

    java.util.Map getAdditionalSQLObjects()

  Returns the additional SQL objects, for example, the privileges of the table

  Returns:

### refreshFromDB

    void refreshFromDB(java.lang.String newName)

  Refreshes the referenced SQL objects to make them synchronized with DB

  Parameters:
    `newName` - the name of the main object

### isModelExist

    boolean isModelExist()

  Check immutable model existence

  Returns: